import { addDays, differenceInCalendarDays, isEqual, format, parse } from 'date-fns/esm';
var DateFnsFormatter = /** @class */ (function () {
    function DateFnsFormatter(pattern) {
        this.pattern = pattern;
    }
    DateFnsFormatter.prototype.adjustDate = function (leftDate, rightDate) {
        rightDate = rightDate || new Date();
        var diff = differenceInCalendarDays(leftDate, rightDate);
        return diff === 0 ? null : addDays(rightDate, diff);
    };
    DateFnsFormatter.prototype.equal = function (leftDate, rightDate) {
        return isEqual(leftDate, rightDate);
    };
    DateFnsFormatter.prototype.format = function (value, pattern) {
        return format(value, pattern || this.pattern);
    };
    DateFnsFormatter.prototype.parse = function (value, pattern) {
        return parse(value, pattern || this.pattern, new Date());
    };
    return DateFnsFormatter;
}());
export { DateFnsFormatter };
export default DateFnsFormatter;
//# sourceMappingURL=date-fns-formatter.js.map