"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var esm_1 = require("date-fns/esm");
var DateFnsFormatter = /** @class */ (function () {
    function DateFnsFormatter(pattern) {
        this.pattern = pattern;
    }
    DateFnsFormatter.prototype.adjustDate = function (leftDate, rightDate) {
        rightDate = rightDate || new Date();
        var diff = esm_1.differenceInCalendarDays(leftDate, rightDate);
        return diff === 0 ? null : esm_1.addDays(rightDate, diff);
    };
    DateFnsFormatter.prototype.equal = function (leftDate, rightDate) {
        return esm_1.isEqual(leftDate, rightDate);
    };
    DateFnsFormatter.prototype.format = function (value, pattern) {
        return esm_1.format(value, pattern || this.pattern);
    };
    DateFnsFormatter.prototype.parse = function (value, pattern) {
        return esm_1.parse(value, pattern || this.pattern, new Date());
    };
    return DateFnsFormatter;
}());
exports.DateFnsFormatter = DateFnsFormatter;
exports.default = DateFnsFormatter;
//# sourceMappingURL=date-fns-formatter.js.map