import Vue, { VNodeDirective } from 'vue';
import { IDateHelper } from './date-helper';
export declare function isDirectiveOptions(value: any): value is IDirectiveOptions;
export interface IDirectiveOptions {
    value: string | Date;
    pattern?: string;
    adjustDate?: (leftDate: Date, rightDate: Date) => Date;
    equal?: (leftDate: Date, rightDate: Date) => boolean;
    format?: (value: Date, pattern: string) => string;
    parse?: (value: string, pattern: string) => Date;
}
export declare class DirectiveHelper implements IDateHelper {
    helper: IDateHelper;
    private original;
    private current;
    private hooks;
    private strategy;
    private buildUpdateStrategy(binding, context);
    private buildHooks(binding, context);
    constructor(helper: IDateHelper, binding: VNodeDirective, context: Vue, value: Date);
    currentDate: Date;
    pattern: string;
    readonly originalDate: Date;
    adjustDate(leftDate: Date, rightDate: Date): Date;
    equal(leftDate: Date, rightDate: Date): boolean;
    format(value: Date, pattern?: string): string;
    parse(value: string, pattern?: string): Date;
    readonly updateModel: (value: Date) => void;
}
export default DirectiveHelper;
